import Writer from './writer';
export declare class WriterBackend extends Writer {
    type: 'aws' | 'kubernetes' | 'azurerm';
    config: any;
    tfStateKey: string;
    constructor(type: 'aws' | 'kubernetes' | 'azurerm', config: any, tfStateKey: string);
    _render(): Promise<void>;
    __renderAWSBackend(): Promise<void>;
    __renderKubernetesBackend(): Promise<void>;
    __renderAzureBackend(): Promise<void>;
}
